org.bdgenomics.adam.rdd

# GenomicDataset

#### trait GenomicDataset[T, U <: Product, V <: GenomicDataset[T, U, V]] extends GenomicRDD[T, V]

A trait describing a GenomicRDD that also supports the Spark SQL APIs.

Linear Supertypes
GenomicRDD[T, V], Logging, AnyRef, Any
Known Subclasses
AlignmentRecordRDD, AvroGenomicRDD, AvroRecordGroupGenomicRDD, CoverageRDD, DatasetBoundAlignmentRecordRDD, DatasetBoundCoverageRDD, DatasetBoundFeatureRDD, DatasetBoundFragmentRDD, DatasetBoundGenotypeRDD, DatasetBoundNucleotideContigFragmentRDD, DatasetBoundVariantRDD, FeatureRDD, FragmentRDD, GenotypeRDD, MultisampleAvroGenomicRDD, NucleotideContigFragmentRDD, ParquetUnboundAlignmentRecordRDD, ParquetUnboundCoverageRDD, ParquetUnboundFeatureRDD, ParquetUnboundFragmentRDD, ParquetUnboundGenotypeRDD, ParquetUnboundNucleotideContigFragmentRDD, ParquetUnboundVariantRDD, RDDBoundAlignmentRecordRDD, RDDBoundCoverageRDD, RDDBoundFeatureRDD, RDDBoundFragmentRDD, RDDBoundGenotypeRDD, RDDBoundNucleotideContigFragmentRDD, RDDBoundVariantRDD, VariantRDD
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GenomicDataset
2. GenomicRDD
3. Logging
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def buildTree(rdd: RDD[(ReferenceRegion, T)])(implicit tTag: ClassTag[T]): IntervalArray[ReferenceRegion, T]

   Attributes
     protected
   Definition Classes
     GenomicRDD

2. #### abstract val dataset: Dataset[U]

   This data as a Spark SQL Dataset.

3. #### abstract def getReferenceRegions(elem: T): Seq[ReferenceRegion]

   Attributes
     protected
   Definition Classes
     GenomicRDD

4. #### abstract val optPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]]

   Attributes
     protected
   Definition Classes
     GenomicRDD

5. #### abstract val rdd: RDD[T]

   The RDD of genomic data that we are wrapping.

   The RDD of genomic data that we are wrapping.

   Definition Classes
     GenomicRDD

6. #### abstract def replaceRdd(newRdd: RDD[T], newPartitionMap: Option[Array[Option[(ReferenceRegion, ReferenceRegion)]]] = None): V

   Attributes
     protected
   Definition Classes
     GenomicRDD

7. #### abstract def replaceSequences(newSequences: SequenceDictionary): V

   Replaces the sequence dictionary attached to a GenomicRDD.

   Replaces the sequence dictionary attached to a GenomicRDD.

   newSequences

     The new sequence dictionary to attach.

   returns

     Returns a new GenomicRDD with the sequences replaced.

   Definition Classes
     GenomicRDD

8. #### abstract val sequences: SequenceDictionary

   The sequence dictionary describing the reference assembly this dataset is aligned to.

   The sequence dictionary describing the reference assembly this dataset is aligned to.

   Definition Classes
     GenomicRDD

9. #### abstract def transformDataset(tFn: (Dataset[U]) ⇒ Dataset[U]): V

   Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

   Applies a function that transforms the underlying Dataset into a new Dataset using the Spark SQL API.

   tFn

     A function that transforms the underlying RDD as a Dataset.

   returns

     A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

10. #### abstract val uTag: scala.reflect.api.JavaUniverse.TypeTag[U]

11. #### abstract def union(rdds: V*): V

    Unions together multiple genomic RDDs.

    Unions together multiple genomic RDDs.

    rdds

      RDDs to union with this RDD.

    Definition Classes
      GenomicRDD

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def addSequence(sequenceToAdd: SequenceRecord): V

   Appends metadata for a single sequence to the current RDD.

   Appends metadata for a single sequence to the current RDD.

   sequenceToAdd

     The sequence to add.

   returns

     Returns a new GenomicRDD with this sequence appended.

   Definition Classes
     GenomicRDD

7. #### def addSequences(sequencesToAdd: SequenceDictionary): V

   Appends sequence metadata to the current RDD.

   Appends sequence metadata to the current RDD.

   sequencesToAdd

     The new sequences to append.

   returns

     Returns a new GenomicRDD with the sequences appended.

   Definition Classes
     GenomicRDD

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def broadcast()(implicit tTag: ClassTag[T]): Broadcast[IntervalArray[ReferenceRegion, T]]

   Definition Classes
     GenomicRDD

10. #### def broadcastRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[T], xTag: ClassTag[X], txTag: ClassTag[(T, X)]): GenericGenomicRDD[(T, X)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    See also

      broadcastRegionJoinAgainst

11. #### def broadcastRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[T], xTag: ClassTag[X], txTag: ClassTag[(T, X)]): GenericGenomicRDD[(T, X)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    See also

      broadcastRegionJoinAgainst

12. #### def broadcastRegionJoinAgainst[X](broadcastTree: Broadcast[IntervalArray[ReferenceRegion, X]])(implicit tTag: ClassTag[T], xTag: ClassTag[X]): GenericGenomicRDD[(X, T)]

    Performs a broadcast inner join between this RDD and data that has been broadcast.

    Performs a broadcast inner join between this RDD and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcastTree

      The data on the left side of the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      broadcastRegionJoin

13. #### def broadcastRegionJoinAgainstAndGroupByRight[X, Y <: GenomicRDD[X, Y]](broadcastTree: Broadcast[IntervalArray[ReferenceRegion, X]])(implicit tTag: ClassTag[T], xTag: ClassTag[X]): GenericGenomicRDD[(Iterable[X], T)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcastTree

      The data on the left side of the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      broadcastRegionJoinAndGroupByRight

14. #### def broadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[T], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[T], X)]): GenericGenomicRDD[(Iterable[T], X)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    See also

      broadcastRegionJoinAgainstAndGroupByRight

15. #### def broadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[T], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[T], X)]): GenericGenomicRDD[(Iterable[T], X)]

    Performs a broadcast inner join between this RDD and another RDD.

    Performs a broadcast inner join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    See also

      broadcastRegionJoinAgainstAndGroupByRight

16. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def filterByOverlappingRegion(query: ReferenceRegion): V

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    Runs a filter that selects data in the underlying RDD that overlaps a single genomic region.

    query

      The region to query for.

    returns

      Returns a new GenomicRDD containing only data that overlaps the query region.

    Definition Classes
      GenomicRDD

20. #### def filterByOverlappingRegions(querys: Iterable[ReferenceRegion]): V

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    Runs a filter that selects data in the underlying RDD that overlaps several genomic regions.

    querys

      The regions to query for.

    returns

      Returns a new GenomicRDD containing only data that overlaps the querys region.

    Definition Classes
      GenomicRDD

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### def flattenRddByRegions(): RDD[(ReferenceRegion, T)]

    Attributes
      protected
    Definition Classes
      GenomicRDD

23. #### def fullOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[T], xTag: ClassTag[X], otoxTag: ClassTag[(Option[T], Option[X])]): GenericGenomicRDD[(Option[T], Option[X])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicRDD

24. #### def fullOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[T], xTag: ClassTag[X], otoxTag: ClassTag[(Option[T], Option[X])]): GenericGenomicRDD[(Option[T], Option[X])]

    Performs a sort-merge full outer join between this RDD and another RDD.

    Performs a sort-merge full outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a full outer join, if a value from either RDD does not overlap any values in the other RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and values that did not overlap will be paired with a `None`.

    Definition Classes
      GenomicRDD

25. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

26. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### def isSorted: Boolean

    Definition Classes
      GenomicRDD

29. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

30. #### lazy val jrdd: JavaRDD[T]

    The underlying RDD of genomic data, as a JavaRDD.

    The underlying RDD of genomic data, as a JavaRDD.

    Definition Classes
      GenomicRDD

31. #### def leftOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[T], xTag: ClassTag[X], toxTag: ClassTag[(T, Option[X])]): GenericGenomicRDD[(T, Option[X])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

32. #### def leftOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[T], xTag: ClassTag[X], toxTag: ClassTag[(T, Option[X])]): GenericGenomicRDD[(T, Option[X])]

    Performs a sort-merge left outer join between this RDD and another RDD.

    Performs a sort-merge left outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

33. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[T], xTag: ClassTag[X], toxTag: ClassTag[(T, Iterable[X])]): GenericGenomicRDD[(T, Iterable[X])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

34. #### def leftOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[T], xTag: ClassTag[X], toxTag: ClassTag[(T, Iterable[X])]): GenericGenomicRDD[(T, Iterable[X])]

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge left outer join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a left outer join, all values in the right RDD that do not overlap a value from the left RDD are dropped. If a value from the left RDD does not overlap any values in the right RDD, it will be paired with an empty Iterable in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the left RDD that did not overlap a key in the right RDD.

    Definition Classes
      GenomicRDD

35. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

36. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

37. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

38. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

39. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

40. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

41. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

42. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

43. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

44. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

45. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

46. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

47. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

48. #### final def notify(): Unit

    Definition Classes
      AnyRef

49. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

50. #### def pipe[X, Y <: GenomicRDD[X, Y], V <: InFormatter[T, V, V]](cmd: String, files: List[String], environment: Map[String, String], flankSize: Integer, tFormatter: Class[V], xFormatter: OutFormatter[X], convFn: Function2[V, RDD[X], Y]): Y

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Java/PySpark friendly variant.

    X

      The type of the record created by the piped command.

    Y

      A GenomicRDD containing X's.

    V

      The InFormatter to use for formatting the data being piped to the command.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final RDD.

    returns

      Returns a new GenomicRDD of type Y.

    Definition Classes
      GenomicRDD

51. #### def pipe[X, Y <: GenomicRDD[X, Y], V <: InFormatter[T, V, V]](cmd: String, files: Seq[Any], environment: Map[Any, Any], flankSize: Double, tFormatter: Class[V], xFormatter: OutFormatter[X], convFn: Function2[V, RDD[X], Y]): Y

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    SparkR friendly variant.

    X

      The type of the record created by the piped command.

    Y

      A GenomicRDD containing X's.

    V

      The InFormatter to use for formatting the data being piped to the command.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    tFormatter

      Class of formatter for data going into pipe command.

    xFormatter

      Formatter for data coming out of the pipe command.

    convFn

      The conversion function used to build the final RDD.

    returns

      Returns a new GenomicRDD of type Y.

    Definition Classes
      GenomicRDD

52. #### def pipe[X, Y <: GenomicRDD[X, Y], V <: InFormatter[T, V, V]](cmd: String, files: Seq[String] = Seq.empty, environment: Map[String, String] = Map.empty, flankSize: Int = 0)(implicit tFormatterCompanion: InFormatterCompanion[T, V, V], xFormatter: OutFormatter[X], convFn: (V, RDD[X]) ⇒ Y, tManifest: ClassTag[T], xManifest: ClassTag[X]): Y

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Pipes genomic data to a subprocess that runs in parallel using Spark.

    Files are substituted in to the command with a $x syntax. E.g., to invoke a command that uses the first file from the files Seq, use $0. To access the path to the directory where the files are copied, use $root.

    Pipes require the presence of an InFormatterCompanion and an OutFormatter as implicit values. The InFormatterCompanion should be a singleton whose apply method builds an InFormatter given a specific type of GenomicRDD. The implicit InFormatterCompanion yields an InFormatter which is used to format the input to the pipe, and the implicit OutFormatter is used to parse the output from the pipe.

    X

      The type of the record created by the piped command.

    Y

      A GenomicRDD containing X's.

    V

      The InFormatter to use for formatting the data being piped to the command.

    cmd

      Command to run.

    files

      Files to make locally available to the commands being run. Default is empty.

    environment

      A map containing environment variable/value pairs to set in the environment for the newly created process. Default is empty.

    flankSize

      Number of bases to flank each command invocation by.

    returns

      Returns a new GenomicRDD of type Y.

    Definition Classes
      GenomicRDD

53. #### def rightOuterBroadcastRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[T], xTag: ClassTag[X], otxTag: ClassTag[(Option[T], X)]): GenericGenomicRDD[(Option[T], X)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD
    See also

      rightOuterBroadcastRegionJoin

54. #### def rightOuterBroadcastRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[T], xTag: ClassTag[X], otxTag: ClassTag[(Option[T], X)]): GenericGenomicRDD[(Option[T], X)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left RDD (this RDD) is collected to the driver, and broadcast to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD
    See also

      rightOuterBroadcastRegionJoin

55. #### def rightOuterBroadcastRegionJoinAgainst[X](broadcastTree: Broadcast[IntervalArray[ReferenceRegion, X]])(implicit tTag: ClassTag[T], xTag: ClassTag[X]): GenericGenomicRDD[(Option[X], T)]

    Performs a broadcast right outer join between this RDD and data that has been broadcast.

    Performs a broadcast right outer join between this RDD and data that has been broadcast.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcastTree

      The data on the left side of the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      rightOuterBroadcastRegionJoin

56. #### def rightOuterBroadcastRegionJoinAgainstAndGroupByRight[X, Y <: GenomicRDD[X, Y]](broadcastTree: Broadcast[IntervalArray[ReferenceRegion, X]])(implicit tTag: ClassTag[T], xTag: ClassTag[X]): GenericGenomicRDD[(Iterable[X], T)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left table that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left table, it will be paired with a `None` in the product of the join. As compared to broadcastRegionJoin, this function allows the broadcast object to be reused across multiple joins.

    broadcastTree

      The data on the left side of the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD
    Note

      This function differs from other region joins as it treats the calling RDD as the right side of the join, and not the left.

    See also

      rightOuterBroadcastRegionJoinAndGroupByRight

57. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[T], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[T], X)]): GenericGenomicRDD[(Iterable[T], X)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

58. #### def rightOuterBroadcastRegionJoinAndGroupByRight[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[T], xTag: ClassTag[X], itxTag: ClassTag[(Iterable[T], X)]): GenericGenomicRDD[(Iterable[T], X)]

    Performs a broadcast right outer join between this RDD and another RDD.

    Performs a broadcast right outer join between this RDD and another RDD.

    In a broadcast join, the left side of the join (broadcastTree) is broadcast to to all the nodes in the cluster. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD
    See also

      rightOuterBroadcastRegionJoinAgainstAndGroupByRight

59. #### def rightOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[T], xTag: ClassTag[X], otxTag: ClassTag[(Option[T], X)]): GenericGenomicRDD[(Option[T], X)]

    Performs a sort-merge right outer join between this RDD and another RDD.

    Performs a sort-merge right outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

60. #### def rightOuterShuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[T], xTag: ClassTag[X], otxTag: ClassTag[(Option[T], X)]): GenericGenomicRDD[(Option[T], X)]

    Performs a sort-merge right outer join between this RDD and another RDD.

    Performs a sort-merge right outer join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is a right outer join, all values in the left RDD that do not overlap a value from the right RDD are dropped. If a value from the right RDD does not overlap any values in the left RDD, it will be paired with a `None` in the product of the join.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, and all keys from the right RDD that did not overlap a key in the left RDD.

    Definition Classes
      GenomicRDD

61. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[T], xTag: ClassTag[X], otixTag: ClassTag[(Option[T], Iterable[X])]): GenericGenomicRDD[(Option[T], Iterable[X])]

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

    Definition Classes
      GenomicRDD

62. #### def rightOuterShuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[T], xTag: ClassTag[X], otixTag: ClassTag[(Option[T], Iterable[X])]): GenericGenomicRDD[(Option[T], Iterable[X])]

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    Performs a sort-merge right outer join between this RDD and another RDD, followed by a groupBy on the left value, if not null.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. In the same operation, we group all values by the left item in the RDD. Since this is a right outer join, all values from the right RDD who did not overlap a value from the left RDD are placed into a length-1 Iterable with a `None` key.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD, and all values from the right RDD that did not overlap an item in the left RDD.

    Definition Classes
      GenomicRDD

63. #### def shuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[T], xTag: ClassTag[X], txTag: ClassTag[(T, X)]): GenericGenomicRDD[(T, X)]

    Performs a sort-merge inner join between this RDD and another RDD.

    Performs a sort-merge inner join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD

64. #### def shuffleRegionJoin[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[T], xTag: ClassTag[X], txTag: ClassTag[(T, X)]): GenericGenomicRDD[(T, X)]

    Performs a sort-merge inner join between this RDD and another RDD.

    Performs a sort-merge inner join between this RDD and another RDD.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space.

    Definition Classes
      GenomicRDD

65. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y])(implicit tTag: ClassTag[T], xTag: ClassTag[X], tixTag: ClassTag[(T, Iterable[X])]): GenericGenomicRDD[(T, Iterable[X])]

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

    genomicRdd

      The right RDD in the join.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

    Definition Classes
      GenomicRDD

66. #### def shuffleRegionJoinAndGroupByLeft[X, Y <: GenomicRDD[X, Y]](genomicRdd: GenomicRDD[X, Y], flankSize: Long)(implicit tTag: ClassTag[T], xTag: ClassTag[X], tixTag: ClassTag[(T, Iterable[X])]): GenericGenomicRDD[(T, Iterable[X])]

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    Performs a sort-merge inner join between this RDD and another RDD, followed by a groupBy on the left value.

    In a sort-merge join, both RDDs are co-partitioned and sorted. The partitions are then zipped, and we do a merge join on each partition. The key equality function used for this join is the reference region overlap function. Since this is an inner join, all values who do not overlap a value from the other RDD are dropped. In the same operation, we group all values by the left item in the RDD.

    genomicRdd

      The right RDD in the join.

    flankSize

      Sets a flankSize for the distance between elements to be joined. If set to 0, an overlap is required to join two elements.

    returns

      Returns a new genomic RDD containing all pairs of keys that overlapped in the genomic coordinate space, grouped together by the value they overlapped in the left RDD..

    Definition Classes
      GenomicRDD

67. #### def sort(partitions: Int = rdd.partitions.length, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[T]): V

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    partitions

      The number of partitions for the new RDD.

    stringency

      The level of ValidationStringency to enforce.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    Note

      Uses ValidationStringency to handle unaligned or where objects align to multiple positions.

    See also

      sortLexicographically

68. #### def sort(): V

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    Sorts our genome aligned data by reference positions, with contigs ordered by index.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    See also

      sortLexicographically

69. #### def sortLexicographically(partitions: Int = rdd.partitions.length, storePartitionMap: Boolean = false, storageLevel: StorageLevel = StorageLevel.MEMORY_ONLY, stringency: ValidationStringency = ValidationStringency.STRICT)(implicit tTag: ClassTag[T]): V

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    partitions

      The number of partitions for the new RDD.

    storePartitionMap

      A Boolean flag to determine whether to store the partition bounds from the resulting RDD.

    storageLevel

      The level at which to persist the resulting RDD.

    stringency

      The level of ValidationStringency to enforce.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    Note

      Uses ValidationStringency to handle data that is unaligned or where objects align to multiple positions.

    See also

      sort

70. #### def sortLexicographically(): V

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    Sorts our genome aligned data by reference positions, with contigs ordered lexicographically.

    returns

      Returns a new RDD containing sorted data.

    Definition Classes
      GenomicRDD
    See also

      sort

71. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

72. #### def toDF(): DataFrame

    returns

      This data as a Spark SQL DataFrame.

73. #### def toString(): String

    Definition Classes
      GenomicRDD → AnyRef → Any

74. #### def transform(tFn: Function[JavaRDD[T], JavaRDD[T]]): V

    Applies a function that transforms the underlying RDD into a new RDD.

    Applies a function that transforms the underlying RDD into a new RDD.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

75. #### def transform(tFn: (RDD[T]) ⇒ RDD[T]): V

    Applies a function that transforms the underlying RDD into a new RDD.

    Applies a function that transforms the underlying RDD into a new RDD.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

76. #### def transformDataFrame(tFn: Function[DataFrame, DataFrame]): V

    Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

    Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API. Java-friendly variant.

    tFn

      A function that transforms the underlying RDD as a DataFrame.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

77. #### def transformDataFrame(tFn: (DataFrame) ⇒ DataFrame)(implicit uTag: scala.reflect.api.JavaUniverse.TypeTag[U]): V

    Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

    Applies a function that transforms the underlying DataFrame into a new DataFrame using the Spark SQL API.

    tFn

      A function that transforms the underlying RDD as a DataFrame.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

78. #### def transmute[X, Y <: GenomicRDD[X, Y]](tFn: Function[JavaRDD[T], JavaRDD[X]], convFn: Function2[V, RDD[X], Y]): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly version.

    tFn

      A function that transforms the underlying RDD.

    convFn

      The conversion function used to build the final RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

79. #### def transmute[X, Y <: GenomicRDD[X, Y]](tFn: (RDD[T]) ⇒ RDD[X])(implicit convFn: (V, RDD[X]) ⇒ Y): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

    Definition Classes
      GenomicRDD

80. #### def transmuteDataFrame[X <: Product, Y <: GenomicDataset[_, X, Y]](tFn: Function[DataFrame, DataFrame], convFn: GenomicDatasetConversion[U, V, X, Y]): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly variant.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

81. #### def transmuteDataFrame[X <: Product, Y <: GenomicDataset[_, X, Y]](tFn: (DataFrame) ⇒ DataFrame)(implicit xTag: scala.reflect.api.JavaUniverse.TypeTag[X], convFn: (V, Dataset[X]) ⇒ Y): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly variant.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

82. #### def transmuteDataset[X <: Product, Y <: GenomicDataset[_, X, Y]](tFn: Function[Dataset[U], Dataset[X]], convFn: GenomicDatasetConversion[U, V, X, Y]): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type. Java friendly variant.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

83. #### def transmuteDataset[X <: Product, Y <: GenomicDataset[_, X, Y]](tFn: (Dataset[U]) ⇒ Dataset[X])(implicit xTag: scala.reflect.api.JavaUniverse.TypeTag[X], convFn: (V, Dataset[X]) ⇒ Y): Y

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    Applies a function that transmutes the underlying RDD into a new RDD of a different type.

    tFn

      A function that transforms the underlying RDD.

    returns

      A new RDD where the RDD of genomic data has been replaced, but the metadata (sequence dictionary, and etc) is copied without modification.

84. #### def union(rdds: List[V]): V

    Unions together multiple genomic RDDs.

    Unions together multiple genomic RDDs.

    rdds

      RDDs to union with this RDD.

    Definition Classes
      GenomicRDD

85. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

86. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

87. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

88. #### def writeTextRdd[T](rdd: RDD[T], outputPath: String, asSingleFile: Boolean, disableFastConcat: Boolean, optHeaderPath: Option[String] = None): Unit

    Writes an RDD to disk as text and optionally merges.

    Writes an RDD to disk as text and optionally merges.

    rdd

      RDD to save.

    outputPath

      Output path to save text files to.

    asSingleFile

      If true, combines all partition shards.

    disableFastConcat

      If asSingleFile is true, disables the use of the parallel file merging engine.

    optHeaderPath

      If provided, the header file to include.

    Attributes
      protected
    Definition Classes
      GenomicRDD

### Inherited from GenomicRDD[T, V]

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped